Videos

Video Mirroring

PeerTube instances can mirror videos from one another, and help distribute some videos.

For importing videos as your own, refer to video imports.

List videos being mirrored

GET
https://peertube2.cpy.re/api/v1/server/redundancy/videos

Parameters

targetstringmy-videosremote-videosrequiredquery

direction of the mirror

startinteger>= 0query

Offset used to paginate results

countinteger[1, 100]15query

Number of items to return

sortstringnamequery

Sort abuses by criteria

Response

successful operation

Response fields application/json
Show child attributes
idid>= 1
Example
42
namestring
urlstring<url>
Example
9c9de5e8-0a1e-484a-b099-e80766180a6d
redundanciesobject
Show child attributes
Show child attributes
idid>= 1
Example
42
fileUrlstring<url>
strategystringmanualmost-viewstrendingrecently-added
sizeinteger
createdAtstring<date-time>
updatedAtstring<date-time>
expiresOnstring<date-time>

Authorization

OAuth2oauth2

Authenticating via OAuth requires the following steps:

  • Have an activated account
  • Generate an access token for that account at /api/v1/users/token.
  • Make requests with the Authorization: Bearer <token> header
  • Profit, depending on the role assigned to the account

Note that the access token is valid for 1 day and is given along with a refresh token valid for 2 weeks.

Scopes: admin

Mirror a video

POST
https://peertube2.cpy.re/api/v1/server/redundancy/videos

Body

application/json
videoIdidrequired

object id for the video

Show child attributes
id>= 1
Example
42

Response

204No Content

successful operation

400Bad Request

cannot mirror a local video

404Not Found

video does not exist

409Conflict

video is already mirrored

Authorization

OAuth2oauth2

Authenticating via OAuth requires the following steps:

  • Have an activated account
  • Generate an access token for that account at /api/v1/users/token.
  • Make requests with the Authorization: Bearer <token> header
  • Profit, depending on the role assigned to the account

Note that the access token is valid for 1 day and is given along with a refresh token valid for 2 weeks.

Scopes: admin

Delete a mirror done on a video

DELETE
https://peertube2.cpy.re/api/v1/server/redundancy/videos/{redundancyId}

Parameters

redundancyIdstringrequiredpath

id of an existing redundancy on a video

Response

204No Content

successful operation

404Not Found

video redundancy not found

Authorization

OAuth2oauth2

Authenticating via OAuth requires the following steps:

  • Have an activated account
  • Generate an access token for that account at /api/v1/users/token.
  • Make requests with the Authorization: Bearer <token> header
  • Profit, depending on the role assigned to the account

Note that the access token is valid for 1 day and is given along with a refresh token valid for 2 weeks.

Scopes: admin